import Config from '../static/config/index.js';
import WXBizDataCrypt from "./WXBizDataCrypt.js"; 
import {$EventBus} from './EventBus'
import Store from '@/store'
export default{
	// 组装提交订单数据
	AssemblyOrder(totalPrice, totalNum) {
         let shopCarInfo = uni.getStorageSync('shopCarInfo').filter(v => v.flag == true);
         if (shopCarInfo && totalPrice > 0 && totalNum > 0) {
         	let orderDetails = [];
         	for (let i = 0; i < shopCarInfo.length; i++) {
         		let item = shopCarInfo[i];
         		let res = {
         			goodsId: item.goodsId, //商品id
         			goodsName: item.name, //商品名称
         			machineId: undefined, //点单屏机器ID
         			num: item.num, //当前sku数量
         			realAmount: item.skus[0].price * item.num, //实付金额
         			specRuleDetail: JSON.stringify(item.skus[0].rules), //规格选项详情
         			skuId: item.skus[0].skuId, //"sku ID"
         			goodsCategory: item.categoryId //商品分类
         		};
         		orderDetails.push(res);
         	}
         	let DAta = {
         		amount: totalPrice, //商品总金额
         		goodsNum: totalNum, //商品总数量
         		shopId: Store.getters.shopInfo[0].id, //店铺
         		machineId: undefined, //机器ID
         		source: 3, //小程序固定传3
         		orderDetails: orderDetails
         	}
         	return DAta;
         } else {
         	uni.showToast({
         		title: '请选择商品'
         	})
         }
	},
	// 加入购物车数据
	getallNum(Obj){
		let shopCarInfo = uni.getStorageSync('shopCarInfo');
		console.log(shopCarInfo,'oooooo')
		    if (shopCarInfo){
				let currentGoods = shopCarInfo.find(v => v.goodsId == Obj.goodsId && v.skuId == Obj.skuId);
				if (currentGoods){
					console.log(currentGoods,'pppppp')
					currentGoods.num+=1;
				}else{
					shopCarInfo.push(Obj);
				}
				console.log(shopCarInfo,7777)
               
			}else{
				shopCarInfo = [Obj];
			}
			uni.setStorageSync('shopCarInfo', shopCarInfo);
             $EventBus.$emit('updateCar');
	},
	// 解密手机
	async onGetPhoneNumber(appid,session_key,encryptedData,iv) {
	 let pc = await new WXBizDataCrypt(appid,session_key);
	 let data = await pc.decryptData(encryptedData ,iv);
	 return data;
	},
	// 扫码方法
	scanCode() {
		uni.scanCode({
			success:(res)=> {
				this.scaninfo=res;
				if(res.result){//res.result
				if(res.result.includes(Config.AVScanUrl)){
					uni.reLaunch({
					url:`/pages/index/index?q=${res.result}`
					})
				}else{
					uni.showToast({
					title:'二维码错误',
					icon:'none'
					})
				}
				// '0016429'||
				
				// `../pages/index/index`
			//    console.log(res.result,'内部扫码')
				}
			},
			fail() {
				uni.showToast({
					icon:'none',
					title:'扫码失败'
				})
			}
		});
	},
	formatDate(value) {
	                var date = new Date();
	                date.setTime(value);
	                var month = date.getMonth() + 1;
					if (month < 10)
					    month = "0" + month;
					var cdate = date.getDate();
					if (cdate < 10)
					    cdate = "0" + cdate;
	                var hours = date.getHours();
	                if (hours < 10)
	                    hours = "0" + hours;
	                var minutes = date.getMinutes();
	                if (minutes < 10)
	                    minutes = "0" + minutes;
	                var time = date.getFullYear() + "-" + month + "-" + cdate +
	                    " " + hours + ":" + minutes;
	                return time;
	            },
    numberFixed(data,fixed=2){
		if(data==undefined){
			return undefined
		}else if(data == 0){
			return '0'
		}else{
			return (Math.round(Number(data) * Math.pow(10,fixed)) / Math.pow(10,fixed)).toFixed(fixed);
		}
	}
}